glibmm 2.36.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Glib::IOChannelError Class Reference

Exception class for IOChannel errors. More...

`#include <glibmm/iochannel.h>`

Inheritance diagram for Glib::IOChannelError:
[legend]

## Public Types
enum | Code { FILE_TOO_BIG, INVALID_ARGUMENT, IO_ERROR, IS_DIRECTORY, NO_SPACE_LEFT, NO_SUCH_DEVICE, OVERFLOWN, BROKEN_PIPE, FAILED }

## Public Member Functions
| IOChannelError (Code error_code, const Glib::ustring& error_message)
| IOChannelError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark domain, int code, const Glib::ustring& message)
| Error (GError* gobject, bool take_copy=false)
| Error (const Error& other)
Error& | operator= (const Error& other)
virtual | ~Error () throw ()
GQuark | domain () const
int | code () const
virtual Glib::ustring | what () const
bool | matches (GQuark domain, int code) const
GError* | gobj ()
const GError* | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception ()=0 throw ()

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError* | gobject_

## Detailed Description

Exception class for IOChannel errors.

## Member Enumeration Documentation

enum Glib::IOChannelError::Code

Enumerator
FILE_TOO_BIG | File too large.
INVALID_ARGUMENT | Invalid argument.
IO_ERROR | IO error.
IS_DIRECTORY | File is a directory.
NO_SPACE_LEFT | No space left on device.
NO_SUCH_DEVICE | No such device or address.
OVERFLOWN | Value too large for defined datatype.
BROKEN_PIPE | Broken pipe.
FAILED | Some other error.

## Constructor & Destructor Documentation

Glib::IOChannelError::IOChannelError | ( | Code | error_code,
|  | const Glib::ustring& | error_message
| ) |  |

Glib::IOChannelError::IOChannelError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

Code Glib::IOChannelError::code | ( |  | ) | const